[Unstable Update] 2022-09-12 - Kernels, LibreOffice, KDE Gear, Wine, Cinnamon, Deepin, Qemu, Qt

Hello community,

Another unstable branch update with some usual package updates for you.

  • Some of our Kernels got updated
  • KDE Gear 22.08.1 got released
  • LibreOffice-Still is now at 7.3.6
  • Cinnemon and Deepin got some fixes and more polish
  • Qemu 7 got its first point-release: 7.1.0
  • Qt got updates: 5.15.6, 6.3.2
  • Wine 7.17 worked towards Wow64 support in the Vulkan driver.
  • Regular Haskell and Python updates

Additional Info

Info about AUR packages

:warning: AUR (Arch User Repository) packages are neither supported by Arch nor Manjaro. Posts about them in Announcement topics are off-topic and will be flagged, moved or removed without warning.

:information_source: You may need to rebuild any AUR packages that install files to site-packages …

Get our latest daily developer images now from Github: Plasma, GNOME, XFCE. You can get the latest stable releases of Manjaro from CDN77.


Our current supported kernels

  • linux419 4.19.257
  • linux54 5.4.212
  • linux510 5.10.142
  • linux515 5.15.66
  • linux518 5.18.19 [EOL]
  • linux519 5.19.8
  • linux60 6.0.0rc4
  • linux515-rt 5.15.55_rt48
  • linux518-rt 5.18.0_rt11 [EOL]
  • linux519-rt 5.19.0_rt10

A detailed list of all package changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

3 Likes

Note on Qt update

Running KDE on x11

Qt updates cause dark themes not to work anymore and theme is white in some apps like firefox that use xdg-desktop-portal to get system theme information and GTK dialogs may used instead.

Issue is temporarily solved by running:

systemctl --user restart plasma-xdg-desktop-portal-kde

It will need to be done each login until the bug gets corrected. Else set XDG_CURRENT_DESKTOP=KDE to /etc/environment/

Further info: Arch Bugtracker, KDE Bugtracker

5 Likes

Seems to be happening to me still, or are these a separate issue? :thinking:

syys 14 16:37:18 jp-gentoo systemd[1013]: Starting Xdg Desktop Portal For KDE...
syys 14 16:37:18 jp-gentoo xdg-desktop-portal-kde[1047]: qt.qpa.xcb: could not connect to display
syys 14 16:37:18 jp-gentoo audit[1047]: ANOM_ABEND auid=967 uid=967 gid=967 ses=1 subj=unconfined pid=1047 comm="xdg-desktop-por" exe="/usr/lib/xdg-desktop-portal-kde" sig=6 res=1
syys 14 16:37:18 jp-gentoo xdg-desktop-portal-kde[1047]: qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
syys 14 16:37:18 jp-gentoo xdg-desktop-portal-kde[1047]: This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
                                                         
                                                         Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, wayland-egl, wayland, wayland-xcomposite-egl, wayland-xcomposite-glx, xcb.
syys 14 16:37:18 jp-gentoo systemd[1]: Created slice Slice /system/systemd-coredump.
syys 14 16:37:18 jp-gentoo audit: BPF prog-id=21 op=LOAD
syys 14 16:37:18 jp-gentoo audit: BPF prog-id=22 op=LOAD
syys 14 16:37:18 jp-gentoo audit: BPF prog-id=23 op=LOAD
syys 14 16:37:18 jp-gentoo audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=unconfined msg='unit=systemd-coredump@0-1049-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
syys 14 16:37:18 jp-gentoo systemd[1]: Started Process Core Dump (PID 1049/UID 0).
syys 14 16:37:18 jp-gentoo sddm-greeter[1021]: Reading from "/usr/share/xsessions/plasma.desktop"
syys 14 16:37:18 jp-gentoo sddm-greeter[1021]: Loading theme configuration from "/usr/share/sddm/themes/breath/theme.conf"
syys 14 16:37:18 jp-gentoo sddm-greeter[1021]: Connected to the daemon.
syys 14 16:37:18 jp-gentoo sddm[837]: Message received from greeter: Connect
syys 14 16:37:18 jp-gentoo systemd-coredump[1051]: [🡕] Process 1047 (xdg-desktop-por) of user 967 dumped core.

Edit: Seems the fix is on its way :+1:

More or less a fix was added to resolve the issue: Fix xdg-desktop-portal-kde breakage with recent qt5-base (FS#75851) · archlinux/svntogit-packages@b0e1161 · GitHub

im getting a weird bug when logging in to kde from sddm, that my mouse shows for a while in a wrong theme… after a few seconds it seems to revert to normal plasma mouse

reported, but happens over various apps;

https://bugs.kde.org/show_bug.cgi?id=448019

Arch finally has dropped python2: Arch Linux - News: Removing python2 from the repositories
At the moment It’s required by obkey-gtk3, which looks rather old and may be obsolete:

$ pacman -Sii python2
...
Required By     : obkey-gtk3
...
$ pacman -Si obkey-gtk3
...
Packager        : fhdk <fh@manjaro.org>
Build Date      : Sa 17 Mar 2018 13:06:20 CET

here you go …

dependency-checker python2
extra/manjaro-documentation-en make depends on python2 (built by Philip Mueller <philm@manjaro.org>)
extra/manjaro-documentation-fr make depends on python2 (built by Philip Mueller <philm@manjaro.org>)
extra/manjaro-firmware make depends on python2 (built by Ramon Buldó <ramon@manjaro.org>)
community/obkey-gtk3 depends on python2 (built by fhdk <fh@manjaro.org>)

manjaro-documentation-en is still in cinnamon packages and manjaro-firmware is in root packages.

Timeshift can not do a backup:

$ sudo timeshift-gtk
[sudo] password for sergio:
[Warning] Invalid deleted lock
Application configuration loaded: /etc/timeshift/timeshift.json
Mounted '/dev/sdc1' at '/run/timeshift/38674/backup'

-------------------------------------------------- ----------------------------
Creating New Instant Backup...(RSYNC)
Saving to device: /dev/sdc1, Mounted to path: /run/timeshift/38674/backup
Backup linking: 2022-09-21_21-09-22
Syncing files with rsync...
**
ERROR:/build/timeshift/src/timeshift/src/Utility/TeeJee.Misc.vala.c:516:string_replace: code should not be reached
dance out! ERROR:/build/timeshift/src/timeshift/src/Utility/TeeJee.Misc.vala.c:516:string_replace: code should not be reached
Aborted

There’s a thread about this already. Running a GUI application with sudo isn’t advised, by the way.

1 Like

Thanks!
I thought I searched for Timeshift before I posted, but didn’t.
After downgrading glib2 it was doing the backup.

I used sudo in the terminal to see what was causing the interruption.

Generally I agree with you but there are a few GUI apps that simply don’t work (or lose some functionality like ksystemlog or gsmartcontrol) without running with sudo, and timeshift is one of them. If you try to run timeshift-gtk without sudo you get a big popup with the following:

Admin Access Required
Admin Access is required to backup and restore system files. Please re-run the application as admin (using ‘sudo’ or ‘su’)

1 Like

You don’t. Run timeshift-launcher normally instead. :wink:

1 Like

Black x11 screen and partial lockups when upgraded to 515.76 driver.

Solution: Downgrading to 515.65 solves the problem.

Issues with 515.76 driver are being reported on Arch and nvidia’s end as well.

Looks like broken packaging or something on Arch…
On the forum post, there are entries of 515.65 in the logs. And I don’t mean the xorg.conf file.

1 Like

I’ve rolled back snapshot (after downgrading glib2-2.74.0-1) because of issues with plank dock and timeshift.

List of packages to update
aom                            3.4.0-1            -> 3.5.0-1             extra
firefox                        105.0-2            -> 105.0.1-1           extra
firefox-i18n-en-us             105.0-1            -> 105.0.1-1           extra
firefox-i18n-pl                105.0-1            -> 105.0.1-1           extra
ghostscript                    9.56.1-1           -> 10.0.0-1            extra
gimp                           2.10.32-1          -> 2.10.32-2           extra
glibmm                         2.66.4-1           -> 2.66.5-1            extra
gobject-introspection-runtime  1.72.0-1           -> 1.74.0-1            extra
graphviz                       5.0.1-1            -> 5.0.1-2             extra
gtkhash                        1.4-6              -> 1.5-1               community
gtkhash-thunar                 1.4-6              -> 1.5-1               community
libwnck3                       40.1-1             -> 43.0-1              extra
linux-firmware                 20220815.8413c63-1 -> 20220913.f09bebf-1  core
linux-firmware-whence          20220815.8413c63-1 -> 20220913.f09bebf-1  core
linux519                       5.19.10-1          -> 5.19.11-1           core
nodejs                         18.9.0-1           -> 18.9.1-1            community
timeshift                      22.06.5-1          -> 22.06.5-2           community
tracker3                       3.3.3-1            -> 3.4.0-1             extra
tzdata                         2022c-1            -> 2022d-1             core
xreader                        3.4.5-1            -> 3.4.5-2             community

I’ve noticed some issues with assertions in glade as well, but didn’t check what breaks.

In my own code I found one deprecation of G_APPLICATION_FLAGS_NONE after update.

Don’t know which package breaks plank functionality (starts longer, and instead of minimize app, open new window instead), I’ve tested gobject-introspection-runtime and glibmm and they seems to be fine.

I hope it will help in something :slightly_smiling_face:


Edit:

After last update everything seems to be fine :slightly_smiling_face:

Those reports more or less say nothing. I assume it is with KDE Plasma?

graphviz seems unhappy.

(11/25) upgrading graphviz
Warning: Could not load "/usr/lib/graphviz/libgvplugin_gs.so.6" - It was found, so perhaps one of its dependents was not.  Try ldd.
Warning: Could not load "/usr/lib/graphviz/libgvplugin_gs.so.6" - It was found, so perhaps one of its dependents was not.  Try ldd.
2 Likes

Yes, manjaro KDE Plasma (unstable branch) with ext4 on all of these machines.

  • With RTX 3060: Black screen after the GRUB menu. Same issue on the LTS kernel.

  • With RTX 2060: Random freezes. Same issue on the LTS kernel.

  • With GTX 1060: (unaffected) Everything seems fine.

Downgrading nvidia packages back to 515.65 using chroot fixes the issue and everything is back to normal.